** Changed in: canonical-devices-system-image
       Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1591220

Title:
  Generate UA override lists at build time to allow variable
  substitutions

Status in Canonical System Image:
  Fix Released
Status in webbrowser-app package in Ubuntu:
  Fix Released

Bug description:
  The UA override lists are plain javascript files shipped by qml-
  module-ubuntu-web. The overrides are hardcoded, and often contain
  version numbers such as the webkit build version, the chrome/chromium
  build version, the ubuntu release, e.g.:

    "Mozilla/5.0 (Linux; Ubuntu 14.04 like Android 4.4)
  AppleWebKit/537.36 Chromium/35.0.1870.2 Mobile Safari"

  It would be useful if we could generate those files at build time, and
  allow for variables to be replaced. For example, the above UA string
  would become:

    "Mozilla/5.0 (Linux; Ubuntu @UBUNTU_VERSION@ like Android 4.4)
  AppleWebKit/@WEBKIT_VERSION@ Chromium/@CHROMIUM_VERSION@ Mobile
  Safari/@WEBKIT_VERSION@"

  Not all overrides would be required to use those variables, if
  necessary some version numbers could remain hardcoded.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1591220/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to     : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to